import { defineStore } from "pinia";
import { ref } from "vue";
import { store } from "@/store";

export const useSysConfigStore = defineStore("sys-config", () => {
  const serverHost = ref("");

  const setServerHost = (host: string) => {
    serverHost.value = host;
  }

  return {
    serverHost,
    setServerHost
  };
});

export function useSysConfigStoreHook() {
  return useSysConfigStore(store);
}
